<?xml version="1.0" encoding="UTF-8" ?>
<pageDefinition xmlns="http://xmlns.oracle.com/adfm/uimodel"
                version="10.1.3.35.83" id="app_SRMainPageDef"
                Package="oracle.srdemo.view.pageDefs"
                ControllerClass="#{backing_SRMain}">
  <parameters/>
  <executables>
    <iterator id="ServiceRequestsIterator" RangeSize="1"
              Binds="ServiceRequests" DataControl="SRService"/>
    <iterator id="ServiceHistoriesIterator" Binds="ServiceHistories"
              RangeSize="10" DataControl="SRService"/>
  </executables>
  <bindings>
    <attributeValues IterBinding="ServiceRequestsIterator" id="SvrId">
      <AttrNames>
        <Item Value="SvrId"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator"
                     id="ProblemDescription">
      <AttrNames>
        <Item Value="ProblemDescription"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator" id="Status">
      <AttrNames>
        <Item Value="Status"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator" id="RequestDate">
      <AttrNames>
        <Item Value="RequestDate"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator" id="AssignedDate">
      <AttrNames>
        <Item Value="AssignedDate"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator" id="ProductName">
      <AttrNames>
        <Item Value="ProductName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator" id="CreatedBy">
      <AttrNames>
        <Item Value="CreatedBy"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator"
                     id="CreatedByFirstName">
      <AttrNames>
        <Item Value="CreatedByFirstName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator"
                     id="CreatedByLastName">
      <AttrNames>
        <Item Value="CreatedByLastName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator" id="AssignedTo">
      <AttrNames>
        <Item Value="AssignedTo"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator"
                     id="AssignedToFirstName">
      <AttrNames>
        <Item Value="AssignedToFirstName"/>
      </AttrNames>
    </attributeValues>
    <attributeValues IterBinding="ServiceRequestsIterator"
                     id="AssignedToLastName">
      <AttrNames>
        <Item Value="AssignedToLastName"/>
      </AttrNames>
    </attributeValues>
    <table IterBinding="ServiceHistoriesIterator" id="ServiceHistories">
      <AttrNames>
        <Item Value="SvrId"/>
        <Item Value="CreatedBy"/>
        <Item Value="LineNo"/>
        <Item Value="Notes"/>
        <Item Value="SvhDate"/>
        <Item Value="SvhType"/>
      </AttrNames>
    </table>
    <attributeValues IterBinding="ServiceHistoriesIterator" id="Notes">
      <AttrNames>
        <Item Value="Notes"/>
      </AttrNames>
    </attributeValues>
    <button IterBinding="ServiceHistoriesIterator" id="Hidden">
      <AttrNames>
        <Item Value="Hidden"/>
      </AttrNames>
      <ValueList>
        <Item Value="true"/>
        <Item Value="false"/>
      </ValueList>
    </button>
    <action id="Delete" IterBinding="ServiceRequestsIterator"
            InstanceName="SRService.ServiceRequests" DataControl="SRService"
            RequiresUpdateModel="false" Action="30"/>
    <action id="Create" IterBinding="ServiceHistoriesIterator"
            InstanceName="SRService.ServiceHistories" DataControl="SRService"
            RequiresUpdateModel="true" Action="41"/>
    <action id="DeleteNewHistory" IterBinding="ServiceHistoriesIterator"
            InstanceName="SRService.ServiceHistories"
            DataControl="SRService" RequiresUpdateModel="false"
            Action="30"/>
    <action id="Commit" InstanceName="SRService" DataControl="SRService"
            RequiresUpdateModel="true" Action="100"/>
    <methodAction id="deleteServiceHistoryNotes"
                  InstanceName="SRService.dataProvider"
                  DataControl="SRService"
                  MethodName="deleteServiceHistoryNotes"
                  RequiresUpdateModel="true" Action="999">
      <NamedData NDName="keySet"
                 NDValue="${backing_SRMain.historyTable.selectionState.keySet}"
                 NDType="java.util.Set"/>
    </methodAction>
  </bindings>
</pageDefinition>
